# Class TCustomAudioHandler

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFAudioHandler

## Declaration

`type TCustomAudioHandler = class(TCefAudioHandlerOwn)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedOwn
- TCefAudioHandlerOwn
- TCustomAudioHandler

## Overview

### Fields

| `FEvents: Pointer;`

### Methods

| `procedure OnGetAudioParameters(const browser: ICefBrowser; var params: TCefAudioParameters; var aResult: boolean); override;`
| `procedure OnAudioStreamStarted(const browser: ICefBrowser; const params: TCefAudioParameters; channels: integer); override;`
| `procedure OnAudioStreamPacket(const browser: ICefBrowser; const data : PPSingle; frames: integer; pts: int64); override;`
| `procedure OnAudioStreamStopped(const browser: ICefBrowser); override;`
| `procedure OnAudioStreamError(const browser: ICefBrowser; const message_: ustring); override;`
| `procedure RemoveReferences; override;`
| `constructor Create(const events : IChromiumEvents); reintroduce; virtual;`
| `destructor Destroy; override;`

## Description

### Fields

| `FEvents: Pointer;`
This item has no description.

### Methods

| `procedure OnGetAudioParameters(const browser: ICefBrowser; var params: TCefAudioParameters; var aResult: boolean); override;`
This item has no description. Showing description inherited from ICefAudioHandler.OnGetAudioParameters. Called on the UI thread to allow configuration of audio stream parameters. Return true (1) to proceed with audio stream capture, or false (0) to cancel it. All members of |params| can optionally be configured here, but they are also pre-filled with some sensible defaults.

| `procedure OnAudioStreamStarted(const browser: ICefBrowser; const params: TCefAudioParameters; channels: integer); override;`
This item has no description. Showing description inherited from ICefAudioHandler.OnAudioStreamStarted. Called on a browser audio capture thread when the browser starts streaming audio. OnAudioStreamStopped will always be called after OnAudioStreamStarted; both functions may be called multiple times for the same browser. |params| contains the audio parameters like sample rate and channel layout. |channels| is the number of channels.

| `procedure OnAudioStreamPacket(const browser: ICefBrowser; const data : PPSingle; frames: integer; pts: int64); override;`
This item has no description. Showing description inherited from ICefAudioHandler.OnAudioStreamPacket. Called on the audio stream thread when a PCM packet is received for the stream. |data| is an array representing the raw PCM data as a floating point type, i.e. 4-byte value(s). |frames| is the number of frames in the PCM packet. |pts| is the presentation timestamp (in milliseconds since the Unix Epoch) and represents the time at which the decompressed packet should be presented to the user. Based on |frames| and the |channel_layout| value passed to OnAudioStreamStarted you can calculate the size of the |data| array in bytes.

| `procedure OnAudioStreamStopped(const browser: ICefBrowser); override;`
This item has no description. Showing description inherited from ICefAudioHandler.OnAudioStreamStopped. Called on the UI thread when the stream has stopped. OnAudioSteamStopped will always be called after OnAudioStreamStarted; both functions may be called multiple times for the same stream.

| `procedure OnAudioStreamError(const browser: ICefBrowser; const message_: ustring); override;`
This item has no description. Showing description inherited from ICefAudioHandler.OnAudioStreamError. Called on the UI or audio stream thread when an error occurred. During the stream creation phase this callback will be called on the UI thread while in the capturing phase it will be called on the audio stream thread. The stream will be stopped immediately.

| `procedure RemoveReferences; override;`
This item has no description. Showing description inherited from ICefAudioHandler.RemoveReferences. Custom procedure to clear all references.

| `constructor Create(const events : IChromiumEvents); reintroduce; virtual;`
This item has no description.

| `destructor Destroy; override;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.